Package org.apache.uima

# Class UIMA_IllegalStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.uima.UIMARuntimeException
org.apache.uima.UIMA_IllegalStateException

All Implemented Interfaces:
  `Serializable`, `I18nExceptionI`

public class UIMA_IllegalStateException extends UIMARuntimeException
Signals that a method has been invoked at an illegal or inappropriate time. In other words, the object on which the method was called is not in an appropriate state for the requested operation. This extends `RuntimeException` and so does not need to be declared in the throws clause of methods.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CANNOT_SET_CAS_MANAGER`
  Message key for a standard UIMA exception message: ResourceManager.setCasManager was called after the CAS Manager had already been set.
  `static final String`
  `COULD_NOT_CREATE_FRAMEWORK`
  Message key for a standard UIMA exception message: "The UIMA framework implementation (class {0}) could not be created."
  `static final String`
  `COULD_NOT_INSTANTIATE_XMLIZABLE`
  Message key for a standard UIMA exception message: "The XML parser was configured to instantiate class {0}, but that class is not able to be instantiated."
  `static final String`
  `JCAS_INCOMPATIBLE_TYPE_SYSTEMS`
  Loaded JCas Type {0} has feature {1} with two different type systems having different offsets; this is not supported.
  `static final String`
  `JCAS_NO_TYPE`
  Cannot do feature accessing for JCas class {0}, because it is not associated with a committed UIMA Type, either because the type doesn''t exist, or hasn''t been committed.
  `static final String`
  `NO_DELEGATE_ANALYSIS_ENGINES`
  Message key for a standard UIMA exception message: "This ASB has not been provided with any Analysis Engines with which to communicate"
  `static final String`
  `NO_NEXT_CAS`
  Message key for a standard UIMA exception message: CasIterator.next was called when there were no more CASes remaining to be read.
  `static final String`
  `READ_PAST_END_OF_COLLECTION`
  Message key for a standard UIMA exception message: There are no more elements in the collection.
  `static final String`
  `REQUIRED_METHOD_CALL`
  Message key for a standard UIMA exception message: "The method {0} must be called before the method {1}."
  `static final String`
  `RESOURCE_ALREADY_INITIALIZED`
  Message key for a standard UIMA exception message: "The initialize(ResourceSpecifier) method on Resource {0} was called more than once.

  ### Fields inherited from class org.apache.uima.UIMARuntimeException

  `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS, CAS_RELEASED_TO_WRONG_CAS_MANAGER, COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED, ILLEGAL_CAS_COPY_TO_SAME_CAS, ILLEGAL_FS_FEAT_UPDATE, INCOMPATIBLE_TAF_JNI_LIBRARY, INTERNAL_ERROR, NOT_SUPPORTED_NO_HEAP_IN_UIMA_V3, REQUESTED_TOO_MANY_CAS_INSTANCES, RESULT_SPEC_NULL, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_CONTEXT_NULL, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS, UNSUPPORTED_CAS_INTERFACE, VIEW_NOT_PART_OF_CAS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIMA_IllegalStateException()`
  Creates a new exception with a null message.
  `UIMA_IllegalStateException(String aMessageKey, Object[] aArguments)`
  Creates a new exception with a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
  `UIMA_IllegalStateException(String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified cause and a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
  `UIMA_IllegalStateException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
  Creates a new exception with a the specified message.
  `UIMA_IllegalStateException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified message and cause.
  `UIMA_IllegalStateException(Throwable aCause)`
  Creates a new exception with the specified cause and a null message.

- ## Method Summary

  ### Methods inherited from class org.apache.uima.UIMARuntimeException

  `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.I18nExceptionI

  `getLocalizedMessage, hasMessageKey`

- ## Field Details

  - ### COULD_NOT_CREATE_FRAMEWORK

    public static final String COULD_NOT_CREATE_FRAMEWORK
    Message key for a standard UIMA exception message: "The UIMA framework implementation (class {0}) could not be created."
    See Also:
      - Constant Field Values

  - ### RESOURCE_ALREADY_INITIALIZED

    public static final String RESOURCE_ALREADY_INITIALIZED
    Message key for a standard UIMA exception message: "The initialize(ResourceSpecifier) method on Resource {0} was called more than once. A Resource may only be initialized once."
    See Also:
      - Constant Field Values

  - ### COULD_NOT_INSTANTIATE_XMLIZABLE

    public static final String COULD_NOT_INSTANTIATE_XMLIZABLE
    Message key for a standard UIMA exception message: "The XML parser was configured to instantiate class {0}, but that class is not able to be instantiated."
    See Also:
      - Constant Field Values

  - ### NO_DELEGATE_ANALYSIS_ENGINES

    public static final String NO_DELEGATE_ANALYSIS_ENGINES
    Message key for a standard UIMA exception message: "This ASB has not been provided with any Analysis Engines with which to communicate"
    See Also:
      - Constant Field Values

  - ### REQUIRED_METHOD_CALL

    public static final String REQUIRED_METHOD_CALL
    Message key for a standard UIMA exception message: "The method {0} must be called before the method {1}."
    See Also:
      - Constant Field Values

  - ### READ_PAST_END_OF_COLLECTION

    public static final String READ_PAST_END_OF_COLLECTION
    Message key for a standard UIMA exception message: There are no more elements in the collection.
    See Also:
      - Constant Field Values

  - ### NO_NEXT_CAS

    public static final String NO_NEXT_CAS
    Message key for a standard UIMA exception message: CasIterator.next was called when there were no more CASes remaining to be read.
    See Also:
      - Constant Field Values

  - ### CANNOT_SET_CAS_MANAGER

    public static final String CANNOT_SET_CAS_MANAGER
    Message key for a standard UIMA exception message: ResourceManager.setCasManager was called after the CAS Manager had already been set. You can only call setCasManager once, and you cannot have previously called ResourceManager.getCasManager or initialized any AnalysisEngines that use this ResourceManager.
    See Also:
      - Constant Field Values

  - ### JCAS_NO_TYPE

    public static final String JCAS_NO_TYPE
    Cannot do feature accessing for JCas class {0}, because it is not associated with a committed UIMA Type, either because the type doesn''t exist, or hasn''t been committed.
    See Also:
      - Constant Field Values

  - ### JCAS_INCOMPATIBLE_TYPE_SYSTEMS

    public static final String JCAS_INCOMPATIBLE_TYPE_SYSTEMS
    Loaded JCas Type {0} has feature {1} with two different type systems having different offsets; this is not supported.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UIMA_IllegalStateException

    public UIMA_IllegalStateException()
    Creates a new exception with a null message.

  - ### UIMA_IllegalStateException

    public UIMA_IllegalStateException(Throwable aCause)
    Creates a new exception with the specified cause and a null message.
    Parameters:
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### UIMA_IllegalStateException

    public UIMA_IllegalStateException(String aResourceBundleName, String aMessageKey, Object[] aArguments)
    Creates a new exception with a the specified message.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### UIMA_IllegalStateException

    public UIMA_IllegalStateException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified message and cause.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### UIMA_IllegalStateException

    public UIMA_IllegalStateException(String aMessageKey, Object[] aArguments)
    Creates a new exception with a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### UIMA_IllegalStateException

    public UIMA_IllegalStateException(String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified cause and a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any